/*
 * swmod_opkg.h: SWMOD deamon
 *
 * Copyright (C) 2020 iopsys Software Solutions AB. All rights reserved.
 *
 * Author: Amin Ben Ramdhane <amin.benramdhane@pivasoftware.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef __SWMOD_OPKG_H
#define __SWMOD_OPKG_H

int swmod_perform_installation(const char *url, const char *uname, const char *pwd, char *output, int out_len);
int swmod_perform_upgrade(const char *url, const char *uname, const char *pwd, char *output, int out_len);
int swmod_perform_uninstall(const char *pname, char *output, int out_len);

#endif //__SWMOD_OPKG_H
